<?php
/*
 * topic/Confirm.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 * 
 * topic_PackageConfig
 * ver 1.0.00 build on 2010-04-13
 * 
 * [変更履歴]
 * 
 */
require_once(dirname(__FILE__)
.DIRECTORY_SEPARATOR.'package_define.inc.php');
require_once(dirname(dirname(__FILE__))
.DIRECTORY_SEPARATOR.'system'
.DIRECTORY_SEPARATOR.'package'
.DIRECTORY_SEPARATOR.'PackageConfigBase.class.php' );
require_once(dirname(dirname(__FILE__))
.DIRECTORY_SEPARATOR.'system'
.DIRECTORY_SEPARATOR.'login'
.DIRECTORY_SEPARATOR.'ModuleBase.class.php');
require_once(dirname(dirname(__FILE__))
.DIRECTORY_SEPARATOR.'system'
.DIRECTORY_SEPARATOR.'DataFileWriter.class.php');
require_once(dirname(dirname( __FILE__ ))
.DIRECTORY_SEPARATOR.'util'
.DIRECTORY_SEPARATOR.'CharUtility.class.php' );
require_once(dirname(dirname(__FILE__))
.DIRECTORY_SEPARATOR.'system'
.DIRECTORY_SEPARATOR.'DataFileWriter.class.php' );
/**
 * 記事管理パッケージ基本情報保持クラス
 * 
 * - 概要
 *   記事を追加・編集するパッケージ。
 * - バージョン
 *   1.0
 * - 対応データベース
 *   不要
 * - パッケージの詳細
 *   記事を追加・編集するパッケージ。
 * 
 * @package topic 記事管理パッケージ
 * @version 0.2.01
 * @author  <m_nakashima@users.sourceforge.jp>
 * @since PHP 4.3
 * 
 */
class topic_PackageConfig extends system_package_PackageConfigBase {
	function topic_PackageConfig() {
		$this->definitionHash			= array(
			'TOPIC_RSS_SITE_NAME'			=> '○○のホームページ',
			'TOPIC_RSS_SITE_DESCRIPTION'	=> '新着情報',
			'TOPIC_RSS_SITE_COPYRIGHT'		=> 'サイト著作権者',
			'TOPIC_RSS_SITE_EDITOR_NAME'	=> '配信担当者名',
			'TOPIC_RSS_SITE_EDITOR_EMAIL'	=> '配信担当者メールアドレス',
			'TOPIC_RSS_SITE_CATEGORY'		=> '',
		);
	}
	/**
	 * パッケージの表示順序を取得
	 * @return int パッケージ順序
	 */
	function getPackageOrder() {
		return 3;
	}
	/**
	 * パッケージの表示名を取得
	 * @return string パッケージ名称
	 */
	function getPackageViewName() {
		return '記事管理';
	}
	/**
	 * パッケージ概要説明を取得します。
	 */
	function getPackageDescription() {
		return '記事を追加・編集するパッケージ。お知らせ記事を作成します。記事内容はRSSやトップページで配信します。';
	}
	/**
	 * トップページで表示するパッケージ設定のアラートメッセージを取得します
	 */
	function getAlertMessages( & $request ) {
		if( $this->isInstall() ) {
		} else {
			return '<p style="color:#ff6060;font-weight:bold;">記事管理パッケージのインストールと基本設定を行ってください<br />'
				.'システム設定の<a href="./system/package/">パッケージ管理</a>でインストールできます。</p>'
				.'<p style="text-align:right;"><a href="./system/package/install/form.php?sitpi=topic">&gt;&gt; 記事管理パッケージのインストールへ</a></p>'
			;
		}
		return '';
	}
	/**
	 * パッケージ依存関係のハッシュを取得
	 * @return hash array('packageId'=>array('version','version',...))
	 */
	function getPackageDependenciesHash() {
		return array(
			'content'	=> array('1.1.00'),
			'design'	=> array('1.1.00'),
		);
	}
	/*
	 * インストール関連のメソッド
	 */
	/**
	 * インストールを実行します。
	 */
	function install( & $request ) {
		return parent::install( $request );
	}
	/*
	 * アンインストール関連メソッド
	 */
	/**
	 * アンインストールを実行します。
	 */
	function uninstall( & $request ) {
		return parent::uninstall( $request );
	}
}
?>